summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-06 08:14:05 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-06 08:14:05 +0000
commit00ec1d7ca9e9551141b84fb4bab9f24e163b4876 (patch)
tree0de34e4078ce60884eb4b95ee5054a6b51e55ef4 /dev-python
parent3c5212e17f093121fd5e0fd5fd871e9f64ae8e0b (diff)
downloadbaldeagleos-repo-00ec1d7ca9e9551141b84fb4bab9f24e163b4876.tar.gz
baldeagleos-repo-00ec1d7ca9e9551141b84fb4bab9f24e163b4876.tar.xz
baldeagleos-repo-00ec1d7ca9e9551141b84fb4bab9f24e163b4876.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aioitertools/aioitertools-0.11.0.ebuild2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.56.ebuild58
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.56.ebuild67
-rw-r--r--dev-python/cython/Manifest1
-rw-r--r--dev-python/cython/cython-3.0.9.ebuild84
-rw-r--r--dev-python/httpx-socks/Manifest1
-rw-r--r--dev-python/httpx-socks/httpx-socks-0.9.1.ebuild52
-rw-r--r--dev-python/jwcrypto/Manifest1
-rw-r--r--dev-python/jwcrypto/jwcrypto-1.5.5.ebuild37
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/matplotlib/matplotlib-3.8.3.ebuild2
-rw-r--r--dev-python/openapi-core/openapi-core-0.19.0.ebuild2
-rw-r--r--dev-python/pygal/pygal-3.0.4-r1.ebuild2
-rw-r--r--dev-python/pytest-isort/Manifest1
-rw-r--r--dev-python/pytest-isort/files/stray-files.patch15
-rw-r--r--dev-python/pytest-isort/metadata.xml10
-rw-r--r--dev-python/pytest-isort/pytest-isort-3.1.0-r1.ebuild29
-rw-r--r--dev-python/pytest-isort/pytest-isort-3.1.0.ebuild29
-rw-r--r--dev-python/rapidfuzz/Manifest1
-rw-r--r--dev-python/rapidfuzz/rapidfuzz-3.6.2.ebuild66
-rw-r--r--dev-python/rpds-py/rpds-py-0.18.0.ebuild2
-rw-r--r--dev-python/shapely/Manifest1
-rw-r--r--dev-python/shapely/shapely-2.0.2-r1.ebuild50
-rw-r--r--dev-python/shapely/shapely-2.0.3.ebuild2
-rw-r--r--dev-python/tox/Manifest1
-rw-r--r--dev-python/tox/tox-4.14.0.ebuild87
31 files changed, 482 insertions, 152 deletions
diff --git a/dev-python/aioitertools/aioitertools-0.11.0.ebuild b/dev-python/aioitertools/aioitertools-0.11.0.ebuild
index 8f91ad1f36da..7c7ac999c60c 100644
--- a/dev-python/aioitertools/aioitertools-0.11.0.ebuild
+++ b/dev-python/aioitertools/aioitertools-0.11.0.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~loong ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
python_test() {
"${EPYTHON}" -m aioitertools.tests || die
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 8fa60631f6ec..a7a995f76b0f 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.34.44.gh.tar.gz 775883 BLAKE2B 97648819e48af3bbdec76ca47f5532cf9f0a
DIST boto3-1.34.49.gh.tar.gz 777028 BLAKE2B 3f78be7cffeca8dec5c7e1b8fcb2e4081e8d5b6f85becea5deeebd8de3d8c038db5c5e827831c829e3943860a10144e7dd565136c6dfad4f39540a7eaa2bacda SHA512 dbd9fdb33f0d29d8ba4ef8b6bdb5bf5b9585306e6a0e1fffeea42d38fad503555763361c5b14991d58303f7e1edc481e026ba195638044efc476a25bd467675e
DIST boto3-1.34.54.gh.tar.gz 779564 BLAKE2B f61a74f6a317af6f180edb047e8c37e55c2d497c9507728eb098e2627d071aa56bae037a4bb8582774a49b20d0c1794a8793ab3d8e92d90071de3caf1d32bc2b SHA512 e3549e7b7ad254eafff60eb9bd21aa179f2840c2097874fb0a0602e767dbcf203742629eeaffe6432db65c3f76c326032e700cebb7ea92ebb7305ae6e26173ba
DIST boto3-1.34.55.gh.tar.gz 779897 BLAKE2B 9ca34cb517a0117e91945658ce67d8bc16569931846ef3cf61157a988ee3a6935b8da7581be39304c93bb3a7ae089925abce95e8dfbf4369910d3bb02d232dbe SHA512 9cc45a125817ea1a442c72ba2759e8189dad3a3538f236afa980a3a8203e1ff85d8341b1f9c59bacd066b3b01a1e3a715d3deec42dfbe1846859229517a51e8c
+DIST boto3-1.34.56.gh.tar.gz 780044 BLAKE2B d0600fe852787835a74d48582238e8421aa83aa99413037ca03c89d1fb083e591d5b5cac35c94929c2de26f3ad58a97d3e74d70d264daa89cdaffafcc91530ba SHA512 f692371fae8dedfd6bb3dbba1d9ed5a713d0d498d57f8c911caa110cf9ad70466199060271656213299d936b0d9e9b693871967575921cb8ddaee78e23c4ffe6
diff --git a/dev-python/boto3/boto3-1.34.56.ebuild b/dev-python/boto3/boto3-1.34.56.ebuild
new file mode 100644
index 000000000000..c6201d2c5818
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.56.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 33b1157c5897..c36443fca1ab 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.34.44.gh.tar.gz 12716767 BLAKE2B 335d59ae57ae5a5a1bdb44c3e196dff
DIST botocore-1.34.49.gh.tar.gz 12729109 BLAKE2B 8029fd3530f8c29e7375eaf369944ada9977a1e445eec3151f2babcd6a6480e8c9a8109f31687b588c50691dca62e635beafbcca71f3a6961d23937fa7e613d0 SHA512 8722a965658c55b35880c65b0b4b8d466691752de4b7654657fe583e4dec36f09910f8298f29099cd035e3acf0622734597e4269d2a4e71eecfc3a7fcf6825bc
DIST botocore-1.34.54.gh.tar.gz 12748623 BLAKE2B 2b4732636e0d7cf46e12fc2cf4320c7c4a89c79abe5102a06c0b60c61ca1f638edbfeda0248c3044dbfe594b3dcfe0e8e73f52011bcad0e96fa4c51f3b6b944f SHA512 36fbbd8ad1627b86723ffbb54149ffb7b740831cb31be2e9c0423d158c5755161ec853ef5f97f4fa2632116099266d5f8dc06e47fda6356f988eb39636f435aa
DIST botocore-1.34.55.gh.tar.gz 12750876 BLAKE2B 48222899d97aeea39c471ad1822641bad227e80afce7dee31a6acda21bf87d1cb48cbb39a5bad8851af2ecf14bc524ae55c15127318d2ccf4b8e0c851d2fd077 SHA512 8bc8b35a1e06c1fcc4902cb8ab97b3a6b75cc0e32fc7ab4d656378751846af4ef536513496328281068cbdfaed9cb8d06d13e9d0b2760e4090c660dc7950b897
+DIST botocore-1.34.56.gh.tar.gz 12750089 BLAKE2B ac55ddc7d1f683cf3c2b9b39e73f8c85d8aac45f3b8db15e279ac38fb30edad92c4bb5181b7c488b1b904cce34fd13c69f55fac3ed141358b131f525617174cf SHA512 c0607741b65adeb059cdb100dbd819ed66bf6ce3c0e4cc9460f25046004ebc074b48c896ef39728db6b90c2029643faba3d7fe353acd741260c82e53de66d283
diff --git a/dev-python/botocore/botocore-1.34.56.ebuild b/dev-python/botocore/botocore-1.34.56.ebuild
new file mode 100644
index 000000000000..857224b496b7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.56.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cython/Manifest b/dev-python/cython/Manifest
index 25463b118565..e88511654fe5 100644
--- a/dev-python/cython/Manifest
+++ b/dev-python/cython/Manifest
@@ -4,3 +4,4 @@ DIST cython-3.0.2.gh.tar.gz 2744583 BLAKE2B f631891870a6ce24acf2bcde75ebcb9775cf
DIST cython-3.0.5.gh.tar.gz 2756583 BLAKE2B d9b5af97933030fc1ac49677a5f3fd8194ba6e685dccd257f4ef4af206565ae2fa6f72c1268d8d0604b6fd6f2d8147c542501e8e319588bfdc4a7f40622976ff SHA512 585d3fe810ace55278fcc6ea4508b3b5259320f92998cd688da787cd5f88ac5fc2467025f20da6d968969eb3296ae9c517136d24a4dbb475441271227968f6be
DIST cython-3.0.6.gh.tar.gz 2759853 BLAKE2B fdcbb870418eebfb2e55e28f7223699fee4fb06d52f9f41db55b30fbe6ba6ee3de42af9bbdd8930d418ec790dec195546486ea45c370e2df122d6fada08d38cf SHA512 f1d33775166d0b6541ea98bee5d4186fc6128aad788323224397c1f3ba0a058141ac84a8b3baa4885204dcbf0979141bc4b5316342003e96208952f040f31753
DIST cython-3.0.8.gh.tar.gz 2764668 BLAKE2B 03202ea480fa398d2b0893cc96185467009c783cf4451fc5d1c09ec229398bc084276680ed2b64acf63253744f827427e03674be3e5985d5a2912d9f338c786a SHA512 1070fc278401990595d177b0e6396bc1eba2ea8234a7c5bb26399b6b7284de7791ee5fa60ef74d06d0f4120b9c877bfd7703a7d701838f1634737526c614b860
+DIST cython-3.0.9.gh.tar.gz 2769345 BLAKE2B 2a21b5e7060727d727902a08d7e038dacc047b724ebaa496ba5768542e28eec3c6198062ac3dd774a4321204752b373516f193f01bc6951e5f38b6029754647e SHA512 7899474882faab14716973783bbb46b981eab48192791acbbd06133efee83bfa9ace0e9a0272b0a44061a95ed94cdceaa98c4100f843220f5987791e36fa00e6
diff --git a/dev-python/cython/cython-3.0.9.ebuild b/dev-python/cython/cython-3.0.9.ebuild
new file mode 100644
index 000000000000..bee71da079ef
--- /dev/null
+++ b/dev-python/cython/cython-3.0.9.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{8,9,10,11,12} )
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 multiprocessing toolchain-funcs
+
+MY_P=${P/_rc/rc}
+DESCRIPTION="A Python to C compiler"
+HOMEPAGE="
+ https://cython.org/
+ https://github.com/cython/cython/
+ https://pypi.org/project/Cython/
+"
+SRC_URI="
+ https://github.com/cython/cython/archive/${PV/_rc/rc}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-0.29.22-spawn-multiprocessing.patch"
+ "${FILESDIR}/${PN}-0.29.23-test_exceptions-py310.patch"
+ "${FILESDIR}/${PN}-0.29.23-pythran-parallel-install.patch"
+)
+
+distutils_enable_sphinx docs \
+ dev-python/jinja \
+ dev-python/sphinx-issues \
+ dev-python/sphinx-tabs
+
+python_compile() {
+ # Python gets confused when it is in sys.path before build.
+ local -x PYTHONPATH=
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ if ! has "${EPYTHON/./_}" "${PYTHON_TESTED[@]}"; then
+ einfo "Skipping tests on ${EPYTHON} (xfail)"
+ return
+ fi
+
+ # Needed to avoid confusing cache tests
+ unset CYTHON_FORCE_REGEN
+
+ tc-export CC
+ # https://github.com/cython/cython/issues/1911
+ local -x CFLAGS="${CFLAGS} -fno-strict-overflow"
+ "${PYTHON}" runtests.py \
+ -vv \
+ -j "$(makeopts_jobs)" \
+ --work-dir "${BUILD_DIR}"/tests \
+ --no-examples \
+ --no-code-style \
+ || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ local DOCS=( CHANGES.rst README.rst ToDo.txt USAGE.txt )
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/httpx-socks/Manifest b/dev-python/httpx-socks/Manifest
index 13c592729f50..8a0d35d4c982 100644
--- a/dev-python/httpx-socks/Manifest
+++ b/dev-python/httpx-socks/Manifest
@@ -1,2 +1,3 @@
DIST httpx-socks-0.8.1.gh.tar.gz 15289 BLAKE2B 08a8431c5818ea653ea27a0dbc3de6708cb81a7129cda779e8c8cbe3d497ccdad0ed646faf06c5138f6c136a74d4c1b06e6e3920fc5362d471aa03372721cd33 SHA512 804e609826eff4c9e321440b657f3c96d688bf27a4e9a1fdd6b07a410f7f7671fef840403d2231a48b53133a8a4db9522f6c46467e78dc2443270fea4116d66e
DIST httpx-socks-0.9.0.gh.tar.gz 15209 BLAKE2B 44a4cd3d7f1f8c29578343a5237e04f2f331789ab3d2a89e254780ef4b6265d42678ae61a872205c4780312c49ece4a9d5351151979291da219098ea1be95f28 SHA512 313b6482d4afd49759f8e0208bc657eb21f7b0016acece2e2c4af4fa6f839e362ba5ccd4323d93c0fdc4751e9fe5a997ab751c2b5a7f0a2b263790df864f8e40
+DIST httpx-socks-0.9.1.gh.tar.gz 15210 BLAKE2B 88f38797110227c4e4f01fea7e47c9403573c3c06f6bd644858a6ad4947d90dcbd33c03a0d30a91f227b0e3f341c249dcdef2b009065447e95579e561fee7f4b SHA512 dec2a0eb2dbc692a7e45a2f0df3711057fdc50e7284985d234ed68b3af01372faaa532d070736a005eb49191d55927dc949e9297a6a471b89cf085ef38b56910
diff --git a/dev-python/httpx-socks/httpx-socks-0.9.1.ebuild b/dev-python/httpx-socks/httpx-socks-0.9.1.ebuild
new file mode 100644
index 000000000000..7510bffc9f24
--- /dev/null
+++ b/dev-python/httpx-socks/httpx-socks-0.9.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Proxy (HTTP, SOCKS) transports for httpx"
+HOMEPAGE="
+ https://github.com/romis2012/httpx-socks/
+ https://pypi.org/project/httpx-socks/
+"
+# no tests in sdist, as of 0.7.6
+SRC_URI="
+ https://github.com/romis2012/httpx-socks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/httpx-0.21.0[${PYTHON_USEDEP}]
+ >=dev-python/httpcore-0.17.3[${PYTHON_USEDEP}]
+ >=dev-python/python-socks-2.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/async-timeout-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/hypercorn-0.14.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-asyncio-0.18.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-trio-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/starlette-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/tiny-proxy-0.1.1[${PYTHON_USEDEP}]
+ >=dev-python/trio-0.22.0[${PYTHON_USEDEP}]
+ >=dev-python/trustme-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/yarl-1.6.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin dependencies
+ sed -i -e 's:,<[0-9.]*::' setup.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/jwcrypto/Manifest b/dev-python/jwcrypto/Manifest
index f9034f78b10d..9d2f89de4df3 100644
--- a/dev-python/jwcrypto/Manifest
+++ b/dev-python/jwcrypto/Manifest
@@ -1 +1,2 @@
DIST jwcrypto-1.5.4.gh.tar.gz 96607 BLAKE2B a1558c58c26e6ecb3747c6e7d554bd2100fd8f3c9c5804cf2a596c55920399e879dad267bcbc162aab0b956bde129cdb0090af98171eb7cb06970ed0964f47d9 SHA512 085adfd5f894ee8215c70371d2ebc2e97a38efb17be14ee8433858474df906ff963f243f669e209624e7ec78c1eb8b5ccc2077f0fc50b4e5eef25885e338b4e1
+DIST jwcrypto-1.5.5.gh.tar.gz 96792 BLAKE2B 3c85f62936da7b69ec5f2aa0452f9696a349288554626c98c9e1c0ef31b5e4098520a588bcacb0d3d34d47c35c8556728551804ea01cca747ceb5e3c15497014 SHA512 a69ae9323a6f6d66cf7f47b57106ca81446627926d0e39223bcde51a1b520b07de823b7c023b7ac3a53a539273a5155c0490e5b4309a6fb81bcefa3685b6258c
diff --git a/dev-python/jwcrypto/jwcrypto-1.5.5.ebuild b/dev-python/jwcrypto/jwcrypto-1.5.5.ebuild
new file mode 100644
index 000000000000..c13ec4dfbfcf
--- /dev/null
+++ b/dev-python/jwcrypto/jwcrypto-1.5.5.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Implements JWK,JWS,JWE specifications using python-cryptography"
+HOMEPAGE="
+ https://github.com/latchset/jwcrypto/
+ https://pypi.org/project/jwcrypto/
+"
+SRC_URI="
+ https://github.com/latchset/jwcrypto/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-3.4[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not install doc in non-standard paths
+ sed -e "/data_files/d" -i setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index e9da2ac43cac..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index c09b7356f549..630fe63c6f53 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..736a1167c898 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,12 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/matplotlib/matplotlib-3.8.3.ebuild b/dev-python/matplotlib/matplotlib-3.8.3.ebuild
index dbe8ceda050a..1e9208b37d73 100644
--- a/dev-python/matplotlib/matplotlib-3.8.3.ebuild
+++ b/dev-python/matplotlib/matplotlib-3.8.3.ebuild
@@ -29,7 +29,7 @@ SRC_URI+="
# Fonts: BitstreamVera, OFL-1.1
LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
IUSE="cairo doc excel gtk3 latex qt5 tk webagg wxwidgets"
# internal copy of pycxx highly patched
diff --git a/dev-python/openapi-core/openapi-core-0.19.0.ebuild b/dev-python/openapi-core/openapi-core-0.19.0.ebuild
index 7bd7f133afd9..af0de455b4f0 100644
--- a/dev-python/openapi-core/openapi-core-0.19.0.ebuild
+++ b/dev-python/openapi-core/openapi-core-0.19.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~loong ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ~loong ppc64 ~riscv x86"
RDEPEND="
<dev-python/asgiref-4[${PYTHON_USEDEP}]
diff --git a/dev-python/pygal/pygal-3.0.4-r1.ebuild b/dev-python/pygal/pygal-3.0.4-r1.ebuild
index 30c0c5b411bf..69e9234877c1 100644
--- a/dev-python/pygal/pygal-3.0.4-r1.ebuild
+++ b/dev-python/pygal/pygal-3.0.4-r1.ebuild
@@ -37,7 +37,7 @@ BDEPEND="
# CHANGELOG is a symlink to docs/changelog.rst
DOCS=( docs/changelog.rst README.md )
-distutils_enable_sphinx docs
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
EPYTEST_XDIST=1
distutils_enable_tests pytest
diff --git a/dev-python/pytest-isort/Manifest b/dev-python/pytest-isort/Manifest
deleted file mode 100644
index 7194b7d6c2fe..000000000000
--- a/dev-python/pytest-isort/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST pytest-isort-3.1.0.gh.tar.gz 15585 BLAKE2B c23c34de0e5f4aec245fadc73ea77d90b29d9f0d94b34cb814a2cd12f0f28cfc3314340dc0d63063a4e1a6fe9c0341931fbf17c9b06b699b1ddb42eeb4498d7e SHA512 a01799b832783301818aba5d441cdb9167a367e2c434df9790e4b2d839a9cdab03683736f43339a07ef4444ca0bddfb1b6cd503db170b6544f8c14617e7398df
diff --git a/dev-python/pytest-isort/files/stray-files.patch b/dev-python/pytest-isort/files/stray-files.patch
deleted file mode 100644
index 9c3303ae60c3..000000000000
--- a/dev-python/pytest-isort/files/stray-files.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff --git a/pyproject.toml b/pyproject.toml
-index 64d36bc..a6420fd 100644
---- a/pyproject.toml
-+++ b/pyproject.toml
-@@ -25,7 +25,9 @@ classifiers = [
- "Framework :: Pytest",
- ]
- packages = [{ include = "pytest_isort" }]
--include = ["LICENSE.rst"]
-+include = [
-+ { path = "LICENSE.rst", format = "sdist" },
-+]
-
- [tool.poetry.plugins.pytest11]
- isort = "pytest_isort"
diff --git a/dev-python/pytest-isort/metadata.xml b/dev-python/pytest-isort/metadata.xml
deleted file mode 100644
index ed4f5a7fed57..000000000000
--- a/dev-python/pytest-isort/metadata.xml
+++ /dev/null
@@ -1,10 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>julien@jroy.ca</email>
- <name>Julien Roy</name>
- </maintainer>
-
- <origin>gentoo-guru-overlay</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pytest-isort/pytest-isort-3.1.0-r1.ebuild b/dev-python/pytest-isort/pytest-isort-3.1.0-r1.ebuild
deleted file mode 100644
index ed2ebf7da7f9..000000000000
--- a/dev-python/pytest-isort/pytest-isort-3.1.0-r1.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Plugin to check import ordering using isort"
-HOMEPAGE="https://github.com/stephrdev/pytest-isort"
-SRC_URI="https://github.com/stephrdev/pytest-isort/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="BSD"
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
-
-distutils_enable_tests pytest
-
-RDEPEND="
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/isort[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}"
-
-PATCHES=(
- "${FILESDIR}/stray-files.patch"
-)
diff --git a/dev-python/pytest-isort/pytest-isort-3.1.0.ebuild b/dev-python/pytest-isort/pytest-isort-3.1.0.ebuild
deleted file mode 100644
index ed2ebf7da7f9..000000000000
--- a/dev-python/pytest-isort/pytest-isort-3.1.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-DESCRIPTION="Plugin to check import ordering using isort"
-HOMEPAGE="https://github.com/stephrdev/pytest-isort"
-SRC_URI="https://github.com/stephrdev/pytest-isort/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="BSD"
-KEYWORDS="~amd64 ~x86"
-SLOT="0"
-
-distutils_enable_tests pytest
-
-RDEPEND="
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/isort[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}"
-
-PATCHES=(
- "${FILESDIR}/stray-files.patch"
-)
diff --git a/dev-python/rapidfuzz/Manifest b/dev-python/rapidfuzz/Manifest
index 6e2f9ea3ce8b..571d9c165612 100644
--- a/dev-python/rapidfuzz/Manifest
+++ b/dev-python/rapidfuzz/Manifest
@@ -1 +1,2 @@
DIST rapidfuzz-3.6.1.tar.gz 1559239 BLAKE2B 50d2b2f1b1a62ad1a0a4a2300977d990a484f0a8033da6dd37531a5b603c0b28fe9a1a0e590ca9dc96bd57412864b50cf7694529127e9d26f5ef35daca6c0786 SHA512 17b40c9c3f94277340568f32ef121b277882e9191ad445df930cb394adb47bc4207008932550e74990af0d284c7af00e8ea3003114113a109a629117ebd9859c
+DIST rapidfuzz-3.6.2.tar.gz 1556623 BLAKE2B aef59f1d03309535015e0fb27688613630c0e2c459f464223d4ef8dbbb0241f991ae2b9c9d81890f7cd063f33ad7e6193a6f9c98c5287010402b402e1f343b1e SHA512 83ba27ec1c68d10c568ee629519709113aac3136e73da55d46dcfd3b0f1eac2ebe8631376ca10d2b5fde892d690d79f5a8ce5fd0114502d1f3576756b0960db7
diff --git a/dev-python/rapidfuzz/rapidfuzz-3.6.2.ebuild b/dev-python/rapidfuzz/rapidfuzz-3.6.2.ebuild
new file mode 100644
index 000000000000..af07ede7d812
--- /dev/null
+++ b/dev-python/rapidfuzz/rapidfuzz-3.6.2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Rapid fuzzy string matching in Python using various string metrics"
+HOMEPAGE="
+ https://github.com/rapidfuzz/RapidFuzz/
+ https://pypi.org/project/rapidfuzz/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# all these are header-only libraries
+DEPEND="
+ >=dev-cpp/taskflow-3.0.0
+ >=dev-cpp/rapidfuzz-cpp-3.0.2
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/cython-3[${PYTHON_USEDEP}]
+ dev-python/rapidfuzz-capi[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.16.2[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+ # remove bundled libraries
+ rm -r extern || die
+ # force recythonization
+ find src -name '*.cxx' -delete || die
+
+ distutils-r1_src_prepare
+
+ export RAPIDFUZZ_BUILD_EXTENSION=1
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ # scikit-build is broken and reuses the same build
+ # https://github.com/scikit-build/scikit-build/issues/633
+ rm -r _skbuild || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p xdist -n "$(makeopts_jobs)" --dist=worksteal
+}
diff --git a/dev-python/rpds-py/rpds-py-0.18.0.ebuild b/dev-python/rpds-py/rpds-py-0.18.0.ebuild
index d2380cfb4392..15ce85f37466 100644
--- a/dev-python/rpds-py/rpds-py-0.18.0.ebuild
+++ b/dev-python/rpds-py/rpds-py-0.18.0.ebuild
@@ -62,7 +62,7 @@ LICENSE="MIT"
# Dependent crate licenses
LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT MPL-2.0 Unicode-DFS-2016"
SLOT="0"
-KEYWORDS="amd64 arm ~arm64 ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ~ppc ppc64 ~riscv ~s390 sparc x86"
QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/rpds/rpds.*.so"
diff --git a/dev-python/shapely/Manifest b/dev-python/shapely/Manifest
index efb3e7b31070..c58278929be0 100644
--- a/dev-python/shapely/Manifest
+++ b/dev-python/shapely/Manifest
@@ -1,2 +1 @@
-DIST shapely-2.0.2.gh.tar.gz 330120 BLAKE2B 01630239075c767897635fb25573bc37469ecb7b03d62cef2d82b95a8bd7216864087b9bbcaa46c75850f2048efac2b171f2a78090bf4cd846e882fd8b549942 SHA512 7d19984a1fae9a4ec6abaa2f88712ff442272019976427a915ccd3493e3dc8fe169c5ab3aacf71f3104fc325f93b1877bfcbe9c44968b661feccc38eeeb16f9a
DIST shapely-2.0.3.gh.tar.gz 330889 BLAKE2B 32b56fb6517ee1831f2a93a54b2844e71fb860b3d0de992c9c16ab3e028ade8f6a0ecb5a5c7c8104637111486cec24ecbeb6fe0cf1a1f5282f8bc0b2c73a112a SHA512 862c9af9a40ddc759094375689327298979cb19cde6e4fbd0edc7e6bd0ed5296960628a4be7030bedfecaa8d3dd77bc1e1bac137d698530fea055ddc914e2ab8
diff --git a/dev-python/shapely/shapely-2.0.2-r1.ebuild b/dev-python/shapely/shapely-2.0.2-r1.ebuild
deleted file mode 100644
index f4314ff86344..000000000000
--- a/dev-python/shapely/shapely-2.0.2-r1.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1
-
-MY_P=${P/_p/.post}
-DESCRIPTION="Geometric objects, predicates, and operations"
-HOMEPAGE="
- https://pypi.org/project/shapely/
- https://github.com/shapely/shapely/
-"
-SRC_URI="
- https://github.com/shapely/shapely/archive/${PV/_p/.post}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 arm64 ~x86"
-
-DEPEND="
- >=sci-libs/geos-3.9
-"
-RDEPEND="
- ${DEPEND}
- dev-python/numpy[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${DEPEND}
- >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
-"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-2.0.2-c99.patch
-)
-
-distutils_enable_tests pytest
-
-python_test() {
- rm -rf shapely || die
- epytest --pyargs shapely
-}
diff --git a/dev-python/shapely/shapely-2.0.3.ebuild b/dev-python/shapely/shapely-2.0.3.ebuild
index a11f3badcf93..960352c335d9 100644
--- a/dev-python/shapely/shapely-2.0.3.ebuild
+++ b/dev-python/shapely/shapely-2.0.3.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~x86"
+KEYWORDS="amd64 arm64 ~x86"
DEPEND="
>=sci-libs/geos-3.9
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 8e7961af4af4..5edc4c3b22d5 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1 +1,2 @@
DIST tox-4.13.0.tar.gz 177875 BLAKE2B d32d0bbcf04d5aa4eec80907ad0099522aba520617a260d2586856c36f6246bc0ce22ec5eacb4a4f6766802e7529578fd00077eaf13c21e4fb1213278b926d5b SHA512 8fcd69cafd94a6c930769d26a9a8297d6e18e8962a646992330ebea9e49a5fa299915bd6833680c7bb0ed5f84f9be5faa915653c8a03ab0125bc00bd34e9d0e7
+DIST tox-4.14.0.tar.gz 178024 BLAKE2B 06c73240039966037efe46b8e8949dc3690ac96eb431c0890ead84571df2142cf787e9b5063a6e36ee839ae46a879bf1ee8c434c59cc7af52e6d67c36e9a2b0c SHA512 5acec2c30a5f8277bfe9364029d408af9622bfe77a883f9f317d33683758e46811a1702042a2a16f891ff6f9a4ef9e692c8f98eeda49401e814f3f347c2998a0
diff --git a/dev-python/tox/tox-4.14.0.ebuild b/dev-python/tox/tox-4.14.0.ebuild
new file mode 100644
index 000000000000..60ee4e5af69b
--- /dev/null
+++ b/dev-python/tox/tox-4.14.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/cachetools[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/pluggy[${PYTHON_USEDEP}]
+ dev-python/pyproject-api[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/distlib[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/re-assert[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # upstream lower bounds are meaningless
+ sed -i -e 's:>=[0-9.]*::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_run_installpkg_targz
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[constraints-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit+requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_indirect-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_constraints_indirect-True-True]'
+ )
+
+ epytest
+}